# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.56"
name = "s2n-quic-rustls"
version = "0.8.0"
authors = ["AWS s2n"]
exclude = ["corpus.tar.gz"]
description = "Internal crate used by s2n-quic"
license = "Apache-2.0"
repository = "https://github.com/aws/s2n-quic"
resolver = "2"
[dependencies.bytes]
version = "1"
default-features = false

[dependencies.rustls]
version = "0.20"
features = ["quic"]

[dependencies.rustls-pemfile]
version = "1"

[dependencies.s2n-codec]
version = "=0.1.0"
default-features = false

[dependencies.s2n-quic-core]
version = "=0.8.0"
default-features = false

[dependencies.s2n-quic-crypto]
version = "=0.8.0"
default-features = false
[dev-dependencies.insta]
version = "1"
